@ kettch

I did say i didnt RTFM, and i do now have written a HTML4.01 page presenting the same things for the IE8 users. 

@elmer

from JQuery's blog:

Why is the jQuery core team dropping support for oldIE (IE 6/7/8)? We're not! jQuery 1.9 will support oldIE when it's released next year. The jQuery team will continue to support and maintain version 1.9 even after jQuery 2.0 is released.

How long will you support jQuery 1.9? As long as oldIE is a significant factor on the web.

Even the old JQuery versions works real fine that problably most sites will use for years to come.